Subject: Re: local_irq_enable() problem...

From: Sven Luther <[email-masked]>
Date: Tue, 20 Jan 2004 14:49:17 +0100

On Tue, Jan 20, 2004 at 11:03:41AM +0100, Geert Uytterhoeven wrote:
>
> On Tue, 20 Jan 2004, Etsushi Kato wrote:
> > I just started porting Linux 2.6 for nubus powermac.  I've applied most
> > of 2.4 nubus patch to 2.6.1-rc2, and kernel compiles fine now.  But in
> > the early booting of kernel, it hangs while doing local_irq_enable()
> > just after profile_init() in start_kernel() of init/main.c.
> >
> > How can I debug kernel in this situation?  printk() is working, and
> > boot messages are shown with serial connection until "Console: colour
> > dummy device 80x25".
>
> Did you pass `console=ttyS0'?

Is it not console=ttyS01 ?

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/